/* ply2tri: parse text ply file with rigid format, and produce triangle
mesh with proper normals.  (C) 2005 Sean Brennan. */

#ifndef __PLY_2_TRI_H__
#define __PLY_2_TRI_H__

typedef struct vertlist_tag {
	double x, y, z;
	int *face_idx;
	int num_faces;
} vertlist;

typedef struct facelist_tag {
	int numverts, *v;
} facelist;

typedef struct plyInfoTag {
	char *format, *version;
	int numVerts;
	int numFaces;
	vertlist *vl, *vertnorms, *facenorms;
	facelist *fl;
} plyInfo;

int getPly(FILE *, plyInfo *);
int genPlyTris(char *);
int mainn(int, char **);

/* utility forward refs */
int makeFaceNorms(plyInfo *);


#endif /*  __PLY_2_TRI_H__ */
